Subject: RE: [ANCP] Protocol version nummer for ANCP

From: "Steve Senum \(ssenum\)" <[email-masked]>
Date: Wed, 6 Dec 2006 11:03:53 -0500

Hi Derek,

I guess it depends on whether you view ANCP as a different
version of GSMPv3 or a different protocol or service
being offered.  My view is the latter.

Regards,
Steve Senum

>  
> 
> -----Original Message-----
> From: Derek Harkness [mailto:[email-masked]] 
> Sent: Wednesday, December 06, 2006 3:24 AM
> To: Steve Senum (ssenum); [email-masked]
> Subject: RE: [ANCP] Protocol version nummer for ANCP
> 
> I would have thought the port number is more for differentiating
between
> protocols not between minor version differences. e.g. SNMP v1,v2,v3,
l2f
> & l2tp, ntp v1 -> v4 use the same port though there may be more than
> slight differences between them.
> 
> I'm sure there are exceptions for this ( scanning
> http://www.iana.org/assignments/port-numbers I can see a few) but the
> key issue is to resolve the compatibility issues in the field bteween
> deployed draft and presumably released RFC versions, for which I would
> have thought the protocol field is enough.
> 
> Cheers,
> 
> 	Derek.
> 
> 
> 
> 
> +=============================+
> Derek Harkness
> Systems Engineer
> Juniper Networks 
> Nymphenburger Strasse 13-15
> 80335 Munich
> Germany
> Tel: +49 89 5529 4916
> Mobile: +49 172 843 6621
> Email: [email-masked]
> +=============================+ 
> 
> 
> -----Original Message-----
> From: Steve Senum (ssenum) [mailto:[email-masked]] 
> Sent: 06 December 2006 00:48
> To: [email-masked]
> Subject: RE: [ANCP] Protocol version nummer for ANCP
> 
> Hi,
> 
> Another comment on the current draft.  It specifies TCP
> port 6068 be used for incoming connections, which is the
> port defined for GSMPv3 (RFC 3292, RFC 3293).
> 
> I understand ANCP is based on GSMPv3, but given it seems
> to have evolved into something a bit different, perhaps
> a different TCP port should be assigned?
> 
> Regards,
> Steve Senum
> 
> _______________________________________________
> ANCP mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ancp
> 

_______________________________________________
ANCP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ancp